# inquirer_console v1.0.0 发布说明

**发布日期：** 2024-03-31

我们很高兴宣布 inquirer_console v1.0.0 正式发布！这是我们的首个稳定版本，标志着这个项目已经达到了生产可用的水平。inquirer_console 是 Inquirer.js 的 Python 实现，提供了一组精心设计的交互式命令行用户界面组件。

## ✨ 新特性

- **基础提示类型实现**：
  - `Input` - 基本文本输入提示
  - `Confirm` - 确认提示（是/否）
  - `Select` - 列表选择提示（单选）
  - `Checkbox` - 复选框提示（多选）
  - `Password` - 密码输入提示（带掩码）
  - `Text` - 多行文本输入提示

- **跨平台兼容性**：
  - 完美支持 Windows、macOS 和各种 Linux/Unix 系统
  - 智能识别终端环境并调整输入/输出行为

- **中断处理**：
  - 实现了优雅的 Ctrl+C 处理机制
  - 通过 `ExitPromptError` 异常提供清晰的中断信号

- **链式 API**：
  - 提供类似 Inquirer.js 的流畅 API
  - 支持通过字典列表定义一系列问题

- **全面类型注解**：
  - 所有公开 API 都带有完整的类型提示
  - 支持现代 IDE 的代码补全和类型检查

## 🔧 改进

- **零依赖设计**：
  - 纯 Python 标准库实现
  - 不需要任何外部依赖，简化安装和部署

- **可定制性**：
  - 所有提示组件支持自定义验证
  - 支持通过 filter 函数转换用户输入

- **用户体验**：
  - 彩色输出和交互式光标移动
  - 提供直观的导航和选择机制
  - 支持默认值和预选项

## 🐛 修复

- 修复了在 Windows 环境下的特殊按键处理问题
- 修复了多行文本输入时光标位置计算错误
- 修复了密码输入在某些终端环境下显示异常的问题
- 解决了 Unicode 字符在不同平台下的渲染差异

## 📚 文档

- 提供了全面的 README 文档（中英文双语）
- 完整的使用示例和 API 文档
- 详细的测试说明

## 🧪 测试

- 实施了全面的自动化测试覆盖
- 支持 pytest 测试框架
- 目标测试覆盖率达到 90% 以上

## 💖 感谢

感谢所有为这个版本做出贡献的开发者、测试者和文档撰写者。特别感谢 Inquirer.js 项目的创建者，他们的工作为我们提供了灵感和参考。我们也感谢 Python 社区的支持和反馈，帮助我们打造出这款优秀的交互式命令行工具库。

---

## 安装方式

```bash
# 从 PyPI 安装
pip install inquirer_console

# 从 GitHub 安装
pip install git+https://github.com/Eusen/inquirer_console.git
```

## 下一步计划

我们计划在未来的版本中添加更多功能和改进：

- 新的提示类型（如编辑器、自动完成等）
- 更多的自定义主题和样式
- 支持异步操作
- 更多语言的本地化

请继续关注我们的项目，并提交您的建议和反馈！ 