# inquirer_console v1.0.2 发布说明

**发布日期：** 2024-03-31

## ✨ 新特性

- **改进的模块导出机制**：
  - 将所有提示类型（`Input`、`Confirm`、`Select`、`Checkbox`、`Password`、`Text`）直接挂载到全局 `inquirer` 实例上
  - 用户现在可以通过 `inquirer.Input`、`inquirer.Select` 等方式直接访问所有提示类型
  - 简化了导入语法，提升了代码可读性和使用便捷性

## 🔧 改进

- **API 使用体验优化**：
  - 统一了提示类型的引用方式，使 API 更符合直觉
  - 保持向前兼容性，支持两种调用风格（直接引入类和通过 `inquirer` 实例访问）

## 📚 使用示例

使用全局 `inquirer` 实例：

```python
from inquirer_console import inquirer

# 使用挂载到 inquirer 实例上的提示类型
name = inquirer.Input(
    message="你的名字是什么？",
    validate=lambda val: True if val else "名字不能为空！"
).prompt()

# 链式调用保持不变
answers = inquirer.prompt([
    {
        'type': 'input',
        'name': 'name',
        'message': '你的名字是什么？'
    },
    {
        'type': 'list',
        'name': 'favorite_lang',
        'message': '你最喜欢的编程语言是？',
        'choices': ['Python', 'JavaScript', 'Rust']
    }
])
```

## 🔄 兼容性说明

此版本完全向后兼容 v1.0.1，无需对现有代码进行任何更改。新的导出机制纯粹是为了提供更灵活的使用方式。

我们建议在新项目中优先使用 `inquirer` 实例上挂载的提示类型，以获得更简洁的导入体验。 